> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/gum-runtime-api/gum-wireframe-graphicaluielement/interpolatebetween.md).

# InterpolateBetween

### Introduction

InterpolateBetween combines two states and applies the result to the calling object. The GraphicalUiElement class provides an implementation of InterpolateBetween which takes StateSave instances (allowing for interpolating between states created at runtime), while the specific implementation (such as the runtime class for a component) provides an InterpolateBetween overload which takes the specific state enumerations.

### Example Using Enumerations

The following code shows how to call InterpolateBetween using state enumerations. It assumes:

* Button is a component, and ButtonRuntime is the class generated by the Gum plugin for the Button component
* ButtonInstance is an instance of ButtonRuntime
* The Button component has two uncategorized states: State1 and State2

```lang:c#
ButtonInstance.InterpolateBetween(ButtonRuntime.VariableState.State1, ButtonRuntime.VariableState.State2, .75f);
```

The third parameter (which is the interpolationValue ) is a value usually between 0 and 1 which indicates the weight of the 2nd state. In this case, .75 means that 75% weight is given to State2 , while the remaining 25% is given to State1 .


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flatredball.com/flatredball/api/gum-runtime-api/gum-wireframe-graphicaluielement/interpolatebetween.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
